<app-header></app-header>

<div class="row">
  <div class="col-md-3 profile">
    <app-profile></app-profile>
  </div>

  <div class="col-md-6">
    <div class="input-group">
      <input #limit type="number" class="form-control" placeholder="Search for..." aria-label="Search for...">

      <div class="input-group-btn">
        <button class="btn btn-default" type="submit" (click)="getTimeLine(limit.value)">
          <i class="glyphicon glyphicon-search"></i>
        </button>
      </div>
    </div>

    <p>Time to load response from server : {{chrono}} ms</p>

    <div class="list-group">
      <li href="#" class="list-group-item" *ngFor="let post of list">
        <h4 class="list-group-item-heading">@{{post.sender.username}} {{post.creationDate | date: 'dd-MM-yyyy HH:mm:ss'}}</h4>
        <p class="list-group-item-text">{{post.body.value}}</p>
      </li>
    </div>
  </div>
  <div class="col-md-3">
    <app-scrollfollower></app-scrollfollower>
  </div>

</div>
